%define anolis_release 1
# pass --without tests to skip the test suite
%bcond_without tests

Name:           rpmlint
Version:        2.4.0
Release:        %{anolis_release}%{?dist}
Summary:        Tool for checking common errors in RPM packages
License:        GPL-2.0-or-later
URL:            https://github.com/rpm-software-management/rpmlint
Source0:        %{url}/archive/%{version}/rpmlint-%{version}.tar.gz

Patch0001:      https://github.com/rpm-software-management/rpmlint/commit/393cde4e.patch#/0001-fix-broken-regex-for-no-manual-page-for-binary-check.patch
Patch1001:	1001-add-anolis-os-support.patch

BuildArch:      noarch
BuildRequires:  python3-devel
# tests
%if %{with tests}
BuildRequires:  dash
BuildRequires:  devscripts-checkbashisms
BuildRequires:  hunspell-cs
BuildRequires:  hunspell-en-US
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-xdist)
BuildRequires:  /usr/bin/appstream-util
BuildRequires:  /usr/bin/desktop-file-validate
%endif

%description
rpmlint is a tool for checking common errors in RPM packages. Binary
and source packages as well as spec files can be checked.

%prep
%autosetup -p1

# Replace python-magic dep with file-magic
sed -i 's/python-magic/file-magic/g' setup.py

# Don't lint the code or measure coverage in %%check
sed -i -e 's/ --cov=rpmlint//' -e 's/ --flake8//' setup.cfg

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name}

mkdir -p %{buildroot}%{_sysconfdir}/xdg/rpmlint/
install -m 0644 configs/anolis/*.toml %{buildroot}%{_sysconfdir}/xdg/rpmlint/

%check
%if %{with tests}
%pytest
%endif

%files -f %{pyproject_files}
%doc README.md
%dir %{_sysconfdir}/xdg/rpmlint
%config(noreplace) %{_sysconfdir}/xdg/rpmlint/*.toml
%{_bindir}/rpmdiff
%{_bindir}/rpmlint

%changelog
* Wed Mar 15 2023 happy_orange <songnannan@linux.alibaba.com> - 2.4.0-1
- init package
